<template>
  <div v-if="isLoading">Loading events from API...</div>
  <div v-else>
    <h1>{{ title }}</h1>
    <ul>
      <li v-for="item in data" :key="item.id">
        {{ item.title}} ({{ item.date}})
      </li>
    </ul>
  </div>
</template>

<script setup>
import { ref } from 'vue';

const isLoading = ref(true);
const data = ref([]);
const title = ref("");

const fetchData = async () => {
  try {   
    console.log('API domain:' + import.meta.env.VITE_API_HOST) 
    const response = await fetch('http://' + import.meta.env.VITE_API_HOST + ':9000/events?format=json');
    if (!response.ok) {
      throw new Error(`API error: ${response.status}`);
    }
    const responseData = await response.json();
    data.value = responseData;
    //data=responseData;
    console.log(responseData)
    title.value = "Upcoming events in Ghent:"; // Set a title after successful fetch
  } catch (error) {
    console.error("Error fetching data:", error);
  } finally {
    isLoading.value = false;
  }
};

fetchData();
</script>

<style scoped>
/* Add any styling here */
</style>